%define name	bk_edit
%define mini 	12
%define major	0.6
%define version	%{major}.%{mini}
%define release 1mdk

Name: 	 %{name}
Summary: Graphical bookmark editor for web browsers.
Version: %{version}
Release: %{release}

Source:		%{name}-%{major}-%{mini}.tar.bz2
#Source1: 	%{name}48.png
#Source2: 	%{name}32.png
#Source3: 	%{name}16.png
URL:		http://www2.fht-esslingen.de/~clfuit00/sasnt/bk_edit/
License:	GPL
Group:		Networking/WWW
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	flex bison libgtk+1.2-devel libxml2-devel

%description
bk_edit is an easy to use bookmark manager and editor. The program can read,
write, edit, create, manage and organize the bookmarks of the most popular
browsers. There is also a simple Drag & Drop interface for adding new
bookmarks from a running browser in a very comfortable way. At the moment
there are plugins for the browsers listed below.
    * Opera 6
    * Galeon 1.2.5/XBEL
    * Mozilla 1.0, 1.1, 1.2
    * Netscape Navigator 6+
    * Netscape Navigator 4+
    * Netscape Navigator 3+
    * Phoenix 0.5+ (Drag & Drop only)
    * Konqueror 3+ (Drag & Drop only)

%prep
%setup -q -n %name-%major-%mini

%build
%configure
%make
										
%install
rm -rf $RPM_BUILD_ROOT
chmod 466 ChangeLog COPYING README TESTED
mkdir -p $RPM_BUILD_ROOT/{%_bindir,%_datadir/%name}
cd src
cp %name $RPM_BUILD_ROOT/%_bindir
cp plugins/*.so $RPM_BUILD_ROOT/%_datadir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="networking_www_section.png" needs="x11" title="BK_Edit" longtitle="Bookmard Editor" section="Networking/WWW"
EOF

#icons
#mkdir -p $RPM_BUILD_ROOT/%_liconsdir
#cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
#mkdir -p $RPM_BUILD_ROOT/%_iconsdir
#cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
#mkdir -p $RPM_BUILD_ROOT/%_miconsdir
#cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files
%defattr(-,root,root)
%doc README ChangeLog COPYING TESTED
%{_bindir}/%name
%{_menudir}/%name
%{_datadir}/%name
#%{_liconsdir}/%name.png
#%{_iconsdir}/%name.png
#%{_miconsdir}/%name.png

%changelog
* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 0.6.12-1mdk
- fix mini versioning
- make doc files readable

* Fri Mar 14 2003 Austin Acton <aacton@yorku.ca> 0.6_12-1mdk
- 0.6_12

* Mon Mar 3 2003 Austin Acton <aacton@yorku.ca> 0.6_10-1mdk
- initial package
